Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.component
Class RendererParameters

    java.lang.Object
      com.tonbeller.wcf.component.RendererParameters

public class RendererParameters
extends java.lang.Object

keeps track of stylesheet parameters for the RendererTag. For the scopes 'request' (default), 'session' and 'application' keeps a Map of name/value pairs.

The special name "mode" may have values null, "excel", "print" and may be queried by isExcelMode() and isPrintMode().

Field Summary
`static java.lang.String` | `EXCEL`
`static java.lang.String` | `MODE`
`static java.lang.String` | `PRINT`

Constructor Summary
`RendererParameters()`

Method Summary
`static java.util.Map` | `getParameterMap(javax.servlet.http.HttpServletRequest request)` returns a read-only map of all current parameters
`static boolean` | `isExcelMode(javax.servlet.http.HttpServletRequest request)`
`static boolean` | `isExcelMode(RequestContext context)`
`static boolean` | `isPrintMode(javax.servlet.http.HttpServletRequest request)`
`static boolean` | `isPrintMode(RequestContext context)`
`static boolean` | `isRenderActions(javax.servlet.http.HttpServletRequest request)` navigation buttons are not rendered in excel/print modes
`static boolean` | `isRenderActions(RequestContext context)` navigation buttons are not rendered in excel/print modes
`static void` | `removeParameter(javax.servlet.http.HttpServletRequest req, java.lang.String name, java.lang.Object value, java.lang.String scope)`
`static void` | `setParameter(javax.servlet.http.HttpServletRequest req, java.lang.String name, java.lang.Object value, java.lang.String scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE

    public static final java.lang.String MODE

See Also:
  Constant Field Values

### EXCEL

    public static final java.lang.String EXCEL

See Also:
  Constant Field Values

### PRINT

    public static final java.lang.String PRINT

See Also:
  Constant Field Values

Constructor Detail

### RendererParameters

    public RendererParameters()

Method Detail

### isRenderActions

    public static boolean isRenderActions(RequestContext context)

  navigation buttons are not rendered in excel/print modes

### isExcelMode

    public static boolean isExcelMode(RequestContext context)

### isPrintMode

    public static boolean isPrintMode(RequestContext context)

### isRenderActions

    public static boolean isRenderActions(javax.servlet.http.HttpServletRequest request)

  navigation buttons are not rendered in excel/print modes

### isExcelMode

    public static boolean isExcelMode(javax.servlet.http.HttpServletRequest request)

### isPrintMode

    public static boolean isPrintMode(javax.servlet.http.HttpServletRequest request)

### setParameter

    public static void setParameter(javax.servlet.http.HttpServletRequest req,
                                    java.lang.String name,
                                    java.lang.Object value,
                                    java.lang.String scope)

### removeParameter

    public static void removeParameter(javax.servlet.http.HttpServletRequest req,
                                       java.lang.String name,
                                       java.lang.Object value,
                                       java.lang.String scope)

### getParameterMap

    public static java.util.Map getParameterMap(javax.servlet.http.HttpServletRequest request)

  returns a read-only map of all current parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD